namespace PkmnLib.Plugin.Gen7.Scripts.Battle;

[Script(ScriptCategory.Move, "ion_deluge")]
public class IonDelugeEffect : Script, IScriptChangeMoveType
{
    /// <inheritdoc />
    public void ChangeMoveType(IExecutingMove move, IPokemon target, byte hit, ref TypeIdentifier? moveType)
    {
        if (moveType?.Name == "normal" &&
            target.Library.StaticLibrary.Types.TryGetTypeIdentifier("electric", out var electricType))
        {
            moveType = electricType;
        }
    }
}